Skip to main content
v1

Write to the desktop clipboard.

POST /v1/desktop/clipboard: request parameters and responses.

POST /v1/desktop/clipboard

Sets the text content of the X11 clipboard.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopClipboardWriteRequest"
  }
}

Related schemas: DesktopClipboardWriteRequest.

Responses

200

Clipboard updated

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopActionResponse"
  }
}

Related schemas: DesktopActionResponse.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

500

Clipboard write failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.